---
title: "Retrieve Valid Field Data List By Code"
slug: "retrieve-valid-field-data-list-by-code"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/retrieve-valid-field-data-list-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Valid Field Data List By Code

Get/sys-rest-api/rest/1/uevalidfielddata

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select by Row Finder
- By UUID

#### Select by Row Finder

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| fieldValue | Field Value | Y |
| fieldCode | Field Code | DEPLOYED2 |

#### By UUID

This is an optional finder for querying a specific Valid Field Data by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /sys-rest-api/rest/1/uevalidfielddata/F291FEBDBFFF282FE05316821FAC71D4 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByFieldCode;fieldValue=Y, fieldCode=DEPLOYED2
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleUevfdFieldCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='b6bec40d-96fb-467b-9a45-2f603d931821'>application/json</option>
</select>

```json
{
  "items": [
    {
      "UevfdFieldCode": "DEPLOYED2",
      "UevfdDisplayOrder": "000001",
      "UevfdDataValue": "Y",
      "UevfdDataValueDesc": "Yes or positive",
      "UevfdVUuid": "F291FEBDBFFF282FE05316821FAC71D4",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/uevalidfielddata/F291FEBDBFFF282FE05316821FAC71D4",
          "name": "uevalidfielddata",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/uevalidfielddata/F291FEBDBFFF282FE05316821FAC71D4",
          "name": "uevalidfielddata",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/uevalidfielddata",
      "name": "uevalidfielddata",
      "kind": "collection"
    }
  ]
}
```

object
